<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
                  xmlns:tns="http://www.entaxy.ru/system-management-service/"
                  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
                  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                  name="system-management-service" targetNamespace="http://www.entaxy.ru/system-management-service/">
    <wsdl:types>
        <xsd:schema targetNamespace="http://www.entaxy.ru/system-management-service/" elementFormDefault="qualified">

            <xsd:element name="getProfileRequest" type="tns:profileType"/>
            <xsd:element name="createProfileRequest" type="tns:createProfileType"/>
            <xsd:element name="stopProfileRequest" type="tns:profileType"/>
            <xsd:element name="startProfileRequest" type="tns:profileType"/>
            <xsd:element name="removeProfileRequest" type="tns:profileType"/>
            <xsd:complexType name="createProfileType">
                <xsd:sequence>
                    <xsd:element name="profileName" type="xsd:string"/>
                    <xsd:element name="uuid" type="xsd:string"/>
                    <xsd:element name="description" type="xsd:string" nillable="true" minOccurs="0"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="exportAllowedType">
                <xsd:sequence>
                    <xsd:element name="esbName" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="profileType">
                <xsd:sequence>
                    <xsd:element name="uuid" type="xsd:string"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="fullProfileType" type="tns:fullProfileType"/>
            <xsd:complexType name="fullProfileType">
                <xsd:sequence>
                    <xsd:element name="profileName" type="xsd:string"/>
                    <xsd:element name="uuid" type="xsd:string"/>
                    <xsd:element name="description" type="xsd:string" nillable="true" minOccurs="0"/>
                    <xsd:element name="createDate" type="xsd:date"/>
                    <xsd:element name="createdBy" type="xsd:string"/>
                    <xsd:element name="editDate" type="xsd:date" nillable="true" minOccurs="0"/>
                    <xsd:element name="editedBy" type="xsd:string" nillable="true" minOccurs="0"/>
                    <xsd:element name="type" type="xsd:boolean"/>
                    <xsd:element name="status" type="xsd:string"/>
                    <xsd:element name="connectorList" type="tns:listConnectorType"/>
                    <xsd:element name="esbNames" type="tns:exportAllowedType"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="listProfileRequest">
                <xsd:complexType>
                    <xsd:sequence/>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="listProfile" type="tns:listProfileType"/>
            <xsd:complexType name="listProfileType">
                <xsd:sequence>
                    <xsd:element name="profileType" type="tns:profileType" minOccurs="0" maxOccurs="unbounded"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="listFullProfile" type="tns:listFullProfileType"/>
            <xsd:complexType name="listFullProfileType">
                <xsd:sequence>
                    <xsd:element name="fullProfileType" type="tns:fullProfileType" minOccurs="0" maxOccurs="unbounded"/>
                </xsd:sequence>
            </xsd:complexType>

            <xsd:element name="listConnectorRequest">
                <xsd:complexType>
                    <xsd:sequence/>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="listConnector" type="tns:listConnectorType"/>
            <xsd:complexType name="listConnectorType">
                <xsd:sequence>
                    <xsd:element name="connector" type="tns:connectorType" minOccurs="0" maxOccurs="unbounded"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="connectorType">
                <xsd:sequence>
                    <xsd:element name="name" type="xsd:string"/>
                    <xsd:element name="status" type="xsd:string"/>
                    <xsd:element name="paramList" type="tns:paramListType"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="createConnectorType">
                <xsd:sequence>
                    <xsd:element name="templateName" type="xsd:string"/>
                    <xsd:element name="profileUuid" type="xsd:string"/>
                    <xsd:element name="paramList" type="tns:paramListType"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="createConnectorRequest" type="tns:createConnectorType"/>
            <xsd:element name="removeConnectorRequest" type="tns:getConnectorType"/>
            <xsd:element name="stopConnectorRequest" type="tns:getConnectorType"/>
            <xsd:element name="startConnectorRequest" type="tns:getConnectorType"/>
            <xsd:element name="getConnector" type="tns:getConnectorType"/>
            <xsd:complexType name="getConnectorType">
                <xsd:sequence>
                    <xsd:element name="templateName" type="xsd:string"/>
                    <xsd:element name="profileUuid" type="xsd:string"/>
                </xsd:sequence>
            </xsd:complexType>

            <xsd:element name="listEsbRequest">
                <xsd:complexType>
                    <xsd:sequence/>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="listEsb" type="tns:listEsbType"/>
            <xsd:complexType name="listEsbType">
                <xsd:sequence>
                    <xsd:element name="esbName" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="getBridgeProfilesRequest">
                <xsd:complexType>
                    <xsd:sequence/>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="getBridgeProfilesResponse" type="tns:listBridgeProfileType"/>
            <xsd:element name="createBridgeProfileRequest" type="tns:bridgeProfileType"/>
            <xsd:element name="stopBridgeProfileRequest" type="tns:bridgeProfileType"/>
            <xsd:element name="startBridgeProfileRequest" type="tns:bridgeProfileType"/>
            <xsd:element name="removeBridgeProfileRequest" type="tns:bridgeProfileType"/>
            <xsd:element name="getBridgeProfileRequest" type="tns:bridgeProfileType"/>
            <xsd:complexType name="bridgeProfileType">
                <xsd:sequence>
                    <xsd:element name="profileUuid" type="xsd:string"/>
                    <xsd:element name="profileName" type="xsd:string"/>
                    <xsd:element name="esbName" type="xsd:string"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="fullBridgeProfileType" type="tns:fullBridgeProfileType"/>
            <xsd:complexType name="fullBridgeProfileType">
                <xsd:sequence>
                    <xsd:element name="profileUuid" type="xsd:string"/>
                    <xsd:element name="profileName" type="xsd:string"/>
                    <xsd:element name="status" type="xsd:string"/>
                    <xsd:element name="esbName" type="xsd:string"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="listBridgeProfileType">
                <xsd:sequence>
                    <xsd:element name="fullBridgeProfileType" type="tns:fullBridgeProfileType" minOccurs="0"
                                 maxOccurs="unbounded"/>
                </xsd:sequence>
            </xsd:complexType>

            <xsd:element name="listTemplateRequest">
                <xsd:complexType>
                    <xsd:sequence/>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="listTemplate" type="tns:listTemplateType"/>
            <xsd:complexType name="listTemplateType">
                <xsd:sequence>
                    <xsd:element name="template" type="tns:templateType" minOccurs="0" maxOccurs="unbounded"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="template" type="tns:templateType"/>
            <xsd:element name="getTemplateRequest" type="tns:getTemplate"/>
            <xsd:complexType name="getTemplate">
                <xsd:sequence>
                    <xsd:element name="templateName" type="xsd:string"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="templateType">
                <xsd:sequence>
                    <xsd:element name="templateName" type="xsd:string"/>
                    <xsd:element name="paramList" type="tns:paramListType"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="paramListType">
                <xsd:sequence>
                    <xsd:element name="param" type="tns:paramType" minOccurs="0" maxOccurs="unbounded"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="paramType">
                <xsd:sequence>
                    <xsd:element name="name" type="xsd:string"/>
                    <xsd:element name="value" type="xsd:string"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="response" type="xsd:boolean"/>
            <xsd:element name="createdBy" type="xsd:string"/>
            <xsd:element name="createPermissionRequest" type="tns:permissionType"/>
            <xsd:element name="removePermissionRequest" type="tns:permissionType"/>
            <xsd:element name="getPermissionsByObjectRequest" type="tns:profileType"/>
            <xsd:element name="getPermissionsByObjectResponse" type="tns:listProfileType"/>
            <xsd:element name="getPermissionsBySubjectRequest" type="tns:profileType"/>
            <xsd:element name="getPermissionsBySubjectResponse" type="tns:listProfileType"/>
            <xsd:complexType name="permissionType">
                <xsd:sequence>
                    <xsd:element name="objectUuid" type="xsd:string"/>
                    <xsd:element name="subjectUuid" type="xsd:string"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="createPermissionForObjectRequest" type="tns:permissionForObjectType"/>
            <xsd:element name="createPermissionForSubjectRequest" type="tns:permissionForSubjectType"/>
            <xsd:complexType name="permissionForObjectType">
                <xsd:sequence>
                    <xsd:element name="objectUuid" type="xsd:string"/>
                    <xsd:element name="subjectUuid" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="permissionForSubjectType">
                <xsd:sequence>
                    <xsd:element name="objectUuid" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
                    <xsd:element name="subjectUuid" type="xsd:string"/>
                </xsd:sequence>
            </xsd:complexType>
        </xsd:schema>
    </wsdl:types>

    <!--	profiles-->
    <wsdl:message name="getProfilesRequest">
        <wsdl:part name="request" element="tns:listProfileRequest"/>
    </wsdl:message>
    <wsdl:message name="getProfilesResponse">
        <wsdl:part name="response" element="tns:listFullProfile"/>
    </wsdl:message>
    <wsdl:message name="getProfileRequest">
        <wsdl:part name="request" element="tns:getProfileRequest"/>
    </wsdl:message>
    <wsdl:message name="getProfileResponse">
        <wsdl:part name="response" element="tns:fullProfileType"/>
    </wsdl:message>
    <wsdl:message name="createProfileRequest">
        <wsdl:part name="request" element="tns:createProfileRequest"/>
    </wsdl:message>
    <wsdl:message name="createProfileResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="stopProfileRequest">
        <wsdl:part name="request" element="tns:stopProfileRequest"/>
    </wsdl:message>
    <wsdl:message name="stopProfileResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="startProfileRequest">
        <wsdl:part name="request" element="tns:startProfileRequest"/>
    </wsdl:message>
    <wsdl:message name="startProfileResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="removeProfileRequest">
        <wsdl:part name="request" element="tns:removeProfileRequest"/>
    </wsdl:message>
    <wsdl:message name="removeProfileResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>

    <!--	connectors-->
    <wsdl:message name="createConnectorRequest">
        <wsdl:part name="request" element="tns:createConnectorRequest"/>
    </wsdl:message>
    <wsdl:message name="createConnectorResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="removeConnectorRequest">
        <wsdl:part name="request" element="tns:removeConnectorRequest"/>
    </wsdl:message>
    <wsdl:message name="removeConnectorResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="stopConnectorRequest">
        <wsdl:part name="request" element="tns:stopConnectorRequest"/>
    </wsdl:message>
    <wsdl:message name="stopConnectorResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="startConnectorRequest">
        <wsdl:part name="request" element="tns:startConnectorRequest"/>
    </wsdl:message>
    <wsdl:message name="startConnectorResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="getConnectorsRequest">
        <wsdl:part name="request" element="tns:listConnectorRequest"/>
    </wsdl:message>
    <wsdl:message name="getConnectorsResponse">
        <wsdl:part name="response" element="tns:listConnector"/>
    </wsdl:message>

    <!--	bridge profile-->
    <wsdl:message name="getListEsbRequest">
        <wsdl:part name="request" element="tns:listEsbRequest"/>
    </wsdl:message>
    <wsdl:message name="getListEsbResponse">
        <wsdl:part name="response" element="tns:listEsb"/>
    </wsdl:message>
    <wsdl:message name="getBridgeProfilesRequest">
        <wsdl:part name="request" element="tns:getBridgeProfilesRequest"/>
    </wsdl:message>
    <wsdl:message name="getBridgeProfilesResponse">
        <wsdl:part name="response" element="tns:getBridgeProfilesResponse"/>
    </wsdl:message>
    <wsdl:message name="createBridgeProfileRequest">
        <wsdl:part name="request" element="tns:createBridgeProfileRequest"/>
    </wsdl:message>
    <wsdl:message name="createBridgeProfileResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="stopBridgeProfileRequest">
        <wsdl:part name="request" element="tns:stopBridgeProfileRequest"/>
    </wsdl:message>
    <wsdl:message name="stopBridgeProfileResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="startBridgeProfileRequest">
        <wsdl:part name="request" element="tns:startBridgeProfileRequest"/>
    </wsdl:message>
    <wsdl:message name="startBridgeProfileResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="removeBridgeProfileRequest">
        <wsdl:part name="request" element="tns:removeBridgeProfileRequest"/>
    </wsdl:message>
    <wsdl:message name="removeBridgeProfileResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="getBridgeProfileRequest">
        <wsdl:part name="request" element="tns:getBridgeProfileRequest"/>
    </wsdl:message>
    <wsdl:message name="getBridgeProfileResponse">
        <wsdl:part name="response" element="tns:fullBridgeProfileType"/>
    </wsdl:message>

    <wsdl:message name="getTemplatesRequest">
        <wsdl:part name="request" element="tns:listTemplateRequest"/>
    </wsdl:message>
    <wsdl:message name="getTemplatesResponse">
        <wsdl:part name="response" element="tns:listTemplate"/>
    </wsdl:message>
    <wsdl:message name="getTemplateRequest">
        <wsdl:part name="request" element="tns:getTemplateRequest"/>
    </wsdl:message>
    <wsdl:message name="getTemplateResponse">
        <wsdl:part name="response" element="tns:template"/>
    </wsdl:message>

    <wsdl:message name="createPermissionRequest">
        <wsdl:part name="request" element="tns:createPermissionRequest"/>
    </wsdl:message>
    <wsdl:message name="createPermissionResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="createPermissionForObjectRequest">
        <wsdl:part name="request" element="tns:createPermissionForObjectRequest"/>
    </wsdl:message>
    <wsdl:message name="createPermissionForObjectResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="createPermissionForSubjectRequest">
        <wsdl:part name="request" element="tns:createPermissionForSubjectRequest"/>
    </wsdl:message>
    <wsdl:message name="createPermissionForSubjectResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="removePermissionRequest">
        <wsdl:part name="request" element="tns:removePermissionRequest"/>
    </wsdl:message>
    <wsdl:message name="removePermissionResponse">
        <wsdl:part name="response" element="tns:response"/>
    </wsdl:message>
    <wsdl:message name="getPermissionsByObjectRequest">
        <wsdl:part name="request" element="tns:getPermissionsByObjectRequest"/>
    </wsdl:message>
    <wsdl:message name="getPermissionsByObjectResponse">
        <wsdl:part name="response" element="tns:getPermissionsByObjectResponse"/>
    </wsdl:message>
    <wsdl:message name="getPermissionsBySubjectRequest">
        <wsdl:part name="request" element="tns:getPermissionsBySubjectRequest"/>
    </wsdl:message>
    <wsdl:message name="getPermissionsBySubjectResponse">
        <wsdl:part name="response" element="tns:getPermissionsBySubjectResponse"/>
    </wsdl:message>

    <wsdl:message name="createdBy">
        <wsdl:part name="header" element="tns:createdBy"/>
    </wsdl:message>

    <wsdl:binding name="system-management-serviceSOAP" type="tns:system-management-service">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>

        <wsdl:operation name="getProfiles">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/list-profiles"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="createProfile">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/create-profile"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="getProfile">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/get-profile"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="stopProfile">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/stop-profile"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="startProfile">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/start-profile"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="removeProfile">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/remove-profile"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="createConnector">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/create-connector"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="stopConnector">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/stop-connector"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="startConnector">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/start-connector"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="removeConnector">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/remove-connector"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="getConnectors">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/list-connectors"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="getListEsb">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/list-esb"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="getBridgeProfiles">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/get-bridge-profiles"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="createBridgeProfile">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/create-bridge-profile"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="stopBridgeProfile">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/stop-bridge-profile"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="startBridgeProfile">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/start-bridge-profile"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="removeBridgeProfile">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/remove-bridge-profile"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="getBridgeProfile">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/get-bridge-profile"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="getTemplates">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/list-templates"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="getTemplate">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/list-templates"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>

        <wsdl:operation name="createPermission">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/create-permission"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="createPermissionForObject">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/create-permission-for-object"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="createPermissionForSubject">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/create-permission-for-subject"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="removePermission">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/remove-permission"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="getPermissionsByObject">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/get-permissions-by-object"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="getPermissionsBySubject">
            <soap:operation soapAction="http://www.entaxy.ru/system-management-service/get-permissions-by-subject"/>
            <wsdl:input>
                <soap:header message="tns:createdBy" part="header" use="literal"/>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="system-management-service">
        <wsdl:port name="system-management-serviceSOAP" binding="tns:system-management-serviceSOAP">
            <soap:address location="http://dev.esbHost.ru/"/>
        </wsdl:port>
    </wsdl:service>
    <wsdl:portType name="system-management-service">

        <wsdl:operation name="getProfiles">
            <wsdl:input message="tns:getProfilesRequest"/>
            <wsdl:output message="tns:getProfilesResponse"/>
        </wsdl:operation>
        <wsdl:operation name="getProfile">
            <wsdl:input message="tns:getProfileRequest"/>
            <wsdl:output message="tns:getProfileResponse"/>
        </wsdl:operation>
        <wsdl:operation name="createProfile">
            <wsdl:input message="tns:createProfileRequest"/>
            <wsdl:output message="tns:createProfileResponse"/>
        </wsdl:operation>
        <wsdl:operation name="stopProfile">
            <wsdl:input message="tns:stopProfileRequest"/>
            <wsdl:output message="tns:stopProfileResponse"/>
        </wsdl:operation>
        <wsdl:operation name="startProfile">
            <wsdl:input message="tns:startProfileRequest"/>
            <wsdl:output message="tns:startProfileResponse"/>
        </wsdl:operation>
        <wsdl:operation name="removeProfile">
            <wsdl:input message="tns:removeProfileRequest"/>
            <wsdl:output message="tns:removeProfileResponse"/>
        </wsdl:operation>

        <wsdl:operation name="createConnector">
            <wsdl:input message="tns:createConnectorRequest"/>
            <wsdl:output message="tns:createConnectorResponse"/>
        </wsdl:operation>
        <wsdl:operation name="getConnectors">
            <wsdl:input message="tns:getConnectorsRequest"/>
            <wsdl:output message="tns:getConnectorsResponse"/>
        </wsdl:operation>
        <wsdl:operation name="removeConnector">
            <wsdl:input message="tns:removeConnectorRequest"/>
            <wsdl:output message="tns:removeConnectorResponse"/>
        </wsdl:operation>
        <wsdl:operation name="stopConnector">
            <wsdl:input message="tns:stopConnectorRequest"/>
            <wsdl:output message="tns:stopConnectorResponse"/>
        </wsdl:operation>
        <wsdl:operation name="startConnector">
            <wsdl:input message="tns:startConnectorRequest"/>
            <wsdl:output message="tns:startConnectorResponse"/>
        </wsdl:operation>

        <wsdl:operation name="getListEsb">
            <wsdl:input message="tns:getListEsbRequest"/>
            <wsdl:output message="tns:getListEsbResponse"/>
        </wsdl:operation>
        <wsdl:operation name="getBridgeProfiles">
            <wsdl:input message="tns:getBridgeProfilesRequest"/>
            <wsdl:output message="tns:getBridgeProfilesResponse"/>
        </wsdl:operation>
        <wsdl:operation name="createBridgeProfile">
            <wsdl:input message="tns:createBridgeProfileRequest"/>
            <wsdl:output message="tns:createBridgeProfileResponse"/>
        </wsdl:operation>
        <wsdl:operation name="stopBridgeProfile">
            <wsdl:input message="tns:stopBridgeProfileRequest"/>
            <wsdl:output message="tns:stopBridgeProfileResponse"/>
        </wsdl:operation>
        <wsdl:operation name="startBridgeProfile">
            <wsdl:input message="tns:startBridgeProfileRequest"/>
            <wsdl:output message="tns:startBridgeProfileResponse"/>
        </wsdl:operation>
        <wsdl:operation name="removeBridgeProfile">
            <wsdl:input message="tns:removeBridgeProfileRequest"/>
            <wsdl:output message="tns:removeBridgeProfileResponse"/>
        </wsdl:operation>
        <wsdl:operation name="getBridgeProfile">
            <wsdl:input message="tns:getBridgeProfileRequest"/>
            <wsdl:output message="tns:getBridgeProfileResponse"/>
        </wsdl:operation>

        <wsdl:operation name="getTemplates">
            <wsdl:input message="tns:getTemplatesRequest"/>
            <wsdl:output message="tns:getTemplatesResponse"/>
        </wsdl:operation>
        <wsdl:operation name="getTemplate">
            <wsdl:input message="tns:getTemplateRequest"/>
            <wsdl:output message="tns:getTemplateResponse"/>
        </wsdl:operation>

        <wsdl:operation name="createPermission">
            <wsdl:input message="tns:createPermissionRequest"/>
            <wsdl:output message="tns:createPermissionResponse"/>
        </wsdl:operation>
        <wsdl:operation name="createPermissionForObject">
            <wsdl:input message="tns:createPermissionForObjectRequest"/>
            <wsdl:output message="tns:createPermissionForObjectResponse"/>
        </wsdl:operation>
        <wsdl:operation name="createPermissionForSubject">
            <wsdl:input message="tns:createPermissionForSubjectRequest"/>
            <wsdl:output message="tns:createPermissionForSubjectResponse"/>
        </wsdl:operation>
        <wsdl:operation name="removePermission">
            <wsdl:input message="tns:removePermissionRequest"/>
            <wsdl:output message="tns:removePermissionResponse"/>
        </wsdl:operation>
        <wsdl:operation name="getPermissionsByObject">
            <wsdl:input message="tns:getPermissionsByObjectRequest"/>
            <wsdl:output message="tns:getPermissionsByObjectResponse"/>
        </wsdl:operation>
        <wsdl:operation name="getPermissionsBySubject">
            <wsdl:input message="tns:getPermissionsBySubjectRequest"/>
            <wsdl:output message="tns:getPermissionsBySubjectResponse"/>
        </wsdl:operation>
    </wsdl:portType>
</wsdl:definitions>
